//
//  BezierCurveAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class BezierCurveAnimationViewController: BaseAnimationViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        let screenRect = UIScreen.mainScreen().bounds
        
        // Hacky transformation to a circle.
        // Make square and cut size in half.
        self.animateView.frame.size.width = self.animateView.frame.size.height / 2.0
        self.animateView.frame.size.height /= 2.0
        // Round it out to circle.
        self.animateView.layer.cornerRadius = self.animateView.frame.size.height / 2.0
        // Place on left hand side of screen.
        self.animateView.center = CGPoint(x: 25, y: CGRectGetMidY(screenRect))
    }
    
    override func animate(view: UIView) {
        // todo
    }

}
